Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/120
Addresses256
/64 networksPart of one
Network
2c19:dd:d9:dd:c25:dd0:ec00:e300/120
First address
2c19:dd:d9:dd:c25:dd0:ec00:e300
Last address
2c19:dd:d9:dd:c25:dd0:ec00:e3ff
Addresses
256
/64 networks (LANs)
None: smaller than one /64 LAN
Full form
2c19:00dd:00d9:00dd:0c25:0dd0:ec00:e300
Type
Global unicast 2000::/3
Public internet addresses
Reverse DNS zone
3.e.0.0.c.e.0.d.d.0.5.2.c.0.d.d.0.0.9.d.0.0.d.d.0.0.9.1.c.2.ip6.arpa
Split into smaller subnets/128

2c19:dd:d9:dd:c25:dd0:ec00:e300/120 makes 256 subnets of /128.

Subnets
#SubnetLast address
12c19:dd:d9:dd:c25:dd0:ec00:e300/1282c19:dd:d9:dd:c25:dd0:ec00:e300
22c19:dd:d9:dd:c25:dd0:ec00:e301/1282c19:dd:d9:dd:c25:dd0:ec00:e301
32c19:dd:d9:dd:c25:dd0:ec00:e302/1282c19:dd:d9:dd:c25:dd0:ec00:e302
42c19:dd:d9:dd:c25:dd0:ec00:e303/1282c19:dd:d9:dd:c25:dd0:ec00:e303
52c19:dd:d9:dd:c25:dd0:ec00:e304/1282c19:dd:d9:dd:c25:dd0:ec00:e304
62c19:dd:d9:dd:c25:dd0:ec00:e305/1282c19:dd:d9:dd:c25:dd0:ec00:e305
72c19:dd:d9:dd:c25:dd0:ec00:e306/1282c19:dd:d9:dd:c25:dd0:ec00:e306
82c19:dd:d9:dd:c25:dd0:ec00:e307/1282c19:dd:d9:dd:c25:dd0:ec00:e307
92c19:dd:d9:dd:c25:dd0:ec00:e308/1282c19:dd:d9:dd:c25:dd0:ec00:e308
102c19:dd:d9:dd:c25:dd0:ec00:e309/1282c19:dd:d9:dd:c25:dd0:ec00:e309
112c19:dd:d9:dd:c25:dd0:ec00:e30a/1282c19:dd:d9:dd:c25:dd0:ec00:e30a
122c19:dd:d9:dd:c25:dd0:ec00:e30b/1282c19:dd:d9:dd:c25:dd0:ec00:e30b
132c19:dd:d9:dd:c25:dd0:ec00:e30c/1282c19:dd:d9:dd:c25:dd0:ec00:e30c
142c19:dd:d9:dd:c25:dd0:ec00:e30d/1282c19:dd:d9:dd:c25:dd0:ec00:e30d
152c19:dd:d9:dd:c25:dd0:ec00:e30e/1282c19:dd:d9:dd:c25:dd0:ec00:e30e
162c19:dd:d9:dd:c25:dd0:ec00:e30f/1282c19:dd:d9:dd:c25:dd0:ec00:e30f
172c19:dd:d9:dd:c25:dd0:ec00:e310/1282c19:dd:d9:dd:c25:dd0:ec00:e310
182c19:dd:d9:dd:c25:dd0:ec00:e311/1282c19:dd:d9:dd:c25:dd0:ec00:e311
192c19:dd:d9:dd:c25:dd0:ec00:e312/1282c19:dd:d9:dd:c25:dd0:ec00:e312
202c19:dd:d9:dd:c25:dd0:ec00:e313/1282c19:dd:d9:dd:c25:dd0:ec00:e313
212c19:dd:d9:dd:c25:dd0:ec00:e314/1282c19:dd:d9:dd:c25:dd0:ec00:e314
222c19:dd:d9:dd:c25:dd0:ec00:e315/1282c19:dd:d9:dd:c25:dd0:ec00:e315
232c19:dd:d9:dd:c25:dd0:ec00:e316/1282c19:dd:d9:dd:c25:dd0:ec00:e316
242c19:dd:d9:dd:c25:dd0:ec00:e317/1282c19:dd:d9:dd:c25:dd0:ec00:e317
252c19:dd:d9:dd:c25:dd0:ec00:e318/1282c19:dd:d9:dd:c25:dd0:ec00:e318
262c19:dd:d9:dd:c25:dd0:ec00:e319/1282c19:dd:d9:dd:c25:dd0:ec00:e319
272c19:dd:d9:dd:c25:dd0:ec00:e31a/1282c19:dd:d9:dd:c25:dd0:ec00:e31a
282c19:dd:d9:dd:c25:dd0:ec00:e31b/1282c19:dd:d9:dd:c25:dd0:ec00:e31b
292c19:dd:d9:dd:c25:dd0:ec00:e31c/1282c19:dd:d9:dd:c25:dd0:ec00:e31c
302c19:dd:d9:dd:c25:dd0:ec00:e31d/1282c19:dd:d9:dd:c25:dd0:ec00:e31d
312c19:dd:d9:dd:c25:dd0:ec00:e31e/1282c19:dd:d9:dd:c25:dd0:ec00:e31e
322c19:dd:d9:dd:c25:dd0:ec00:e31f/1282c19:dd:d9:dd:c25:dd0:ec00:e31f
332c19:dd:d9:dd:c25:dd0:ec00:e320/1282c19:dd:d9:dd:c25:dd0:ec00:e320
342c19:dd:d9:dd:c25:dd0:ec00:e321/1282c19:dd:d9:dd:c25:dd0:ec00:e321
352c19:dd:d9:dd:c25:dd0:ec00:e322/1282c19:dd:d9:dd:c25:dd0:ec00:e322
362c19:dd:d9:dd:c25:dd0:ec00:e323/1282c19:dd:d9:dd:c25:dd0:ec00:e323
372c19:dd:d9:dd:c25:dd0:ec00:e324/1282c19:dd:d9:dd:c25:dd0:ec00:e324
382c19:dd:d9:dd:c25:dd0:ec00:e325/1282c19:dd:d9:dd:c25:dd0:ec00:e325
392c19:dd:d9:dd:c25:dd0:ec00:e326/1282c19:dd:d9:dd:c25:dd0:ec00:e326
402c19:dd:d9:dd:c25:dd0:ec00:e327/1282c19:dd:d9:dd:c25:dd0:ec00:e327
412c19:dd:d9:dd:c25:dd0:ec00:e328/1282c19:dd:d9:dd:c25:dd0:ec00:e328
422c19:dd:d9:dd:c25:dd0:ec00:e329/1282c19:dd:d9:dd:c25:dd0:ec00:e329
432c19:dd:d9:dd:c25:dd0:ec00:e32a/1282c19:dd:d9:dd:c25:dd0:ec00:e32a
442c19:dd:d9:dd:c25:dd0:ec00:e32b/1282c19:dd:d9:dd:c25:dd0:ec00:e32b
452c19:dd:d9:dd:c25:dd0:ec00:e32c/1282c19:dd:d9:dd:c25:dd0:ec00:e32c
462c19:dd:d9:dd:c25:dd0:ec00:e32d/1282c19:dd:d9:dd:c25:dd0:ec00:e32d
472c19:dd:d9:dd:c25:dd0:ec00:e32e/1282c19:dd:d9:dd:c25:dd0:ec00:e32e
482c19:dd:d9:dd:c25:dd0:ec00:e32f/1282c19:dd:d9:dd:c25:dd0:ec00:e32f
492c19:dd:d9:dd:c25:dd0:ec00:e330/1282c19:dd:d9:dd:c25:dd0:ec00:e330
502c19:dd:d9:dd:c25:dd0:ec00:e331/1282c19:dd:d9:dd:c25:dd0:ec00:e331
512c19:dd:d9:dd:c25:dd0:ec00:e332/1282c19:dd:d9:dd:c25:dd0:ec00:e332
522c19:dd:d9:dd:c25:dd0:ec00:e333/1282c19:dd:d9:dd:c25:dd0:ec00:e333
532c19:dd:d9:dd:c25:dd0:ec00:e334/1282c19:dd:d9:dd:c25:dd0:ec00:e334
542c19:dd:d9:dd:c25:dd0:ec00:e335/1282c19:dd:d9:dd:c25:dd0:ec00:e335
552c19:dd:d9:dd:c25:dd0:ec00:e336/1282c19:dd:d9:dd:c25:dd0:ec00:e336
562c19:dd:d9:dd:c25:dd0:ec00:e337/1282c19:dd:d9:dd:c25:dd0:ec00:e337
572c19:dd:d9:dd:c25:dd0:ec00:e338/1282c19:dd:d9:dd:c25:dd0:ec00:e338
582c19:dd:d9:dd:c25:dd0:ec00:e339/1282c19:dd:d9:dd:c25:dd0:ec00:e339
592c19:dd:d9:dd:c25:dd0:ec00:e33a/1282c19:dd:d9:dd:c25:dd0:ec00:e33a
602c19:dd:d9:dd:c25:dd0:ec00:e33b/1282c19:dd:d9:dd:c25:dd0:ec00:e33b
612c19:dd:d9:dd:c25:dd0:ec00:e33c/1282c19:dd:d9:dd:c25:dd0:ec00:e33c
622c19:dd:d9:dd:c25:dd0:ec00:e33d/1282c19:dd:d9:dd:c25:dd0:ec00:e33d
632c19:dd:d9:dd:c25:dd0:ec00:e33e/1282c19:dd:d9:dd:c25:dd0:ec00:e33e
642c19:dd:d9:dd:c25:dd0:ec00:e33f/1282c19:dd:d9:dd:c25:dd0:ec00:e33f
652c19:dd:d9:dd:c25:dd0:ec00:e340/1282c19:dd:d9:dd:c25:dd0:ec00:e340
662c19:dd:d9:dd:c25:dd0:ec00:e341/1282c19:dd:d9:dd:c25:dd0:ec00:e341
672c19:dd:d9:dd:c25:dd0:ec00:e342/1282c19:dd:d9:dd:c25:dd0:ec00:e342
682c19:dd:d9:dd:c25:dd0:ec00:e343/1282c19:dd:d9:dd:c25:dd0:ec00:e343
692c19:dd:d9:dd:c25:dd0:ec00:e344/1282c19:dd:d9:dd:c25:dd0:ec00:e344
702c19:dd:d9:dd:c25:dd0:ec00:e345/1282c19:dd:d9:dd:c25:dd0:ec00:e345
712c19:dd:d9:dd:c25:dd0:ec00:e346/1282c19:dd:d9:dd:c25:dd0:ec00:e346
722c19:dd:d9:dd:c25:dd0:ec00:e347/1282c19:dd:d9:dd:c25:dd0:ec00:e347
732c19:dd:d9:dd:c25:dd0:ec00:e348/1282c19:dd:d9:dd:c25:dd0:ec00:e348
742c19:dd:d9:dd:c25:dd0:ec00:e349/1282c19:dd:d9:dd:c25:dd0:ec00:e349
752c19:dd:d9:dd:c25:dd0:ec00:e34a/1282c19:dd:d9:dd:c25:dd0:ec00:e34a
762c19:dd:d9:dd:c25:dd0:ec00:e34b/1282c19:dd:d9:dd:c25:dd0:ec00:e34b
772c19:dd:d9:dd:c25:dd0:ec00:e34c/1282c19:dd:d9:dd:c25:dd0:ec00:e34c
782c19:dd:d9:dd:c25:dd0:ec00:e34d/1282c19:dd:d9:dd:c25:dd0:ec00:e34d
792c19:dd:d9:dd:c25:dd0:ec00:e34e/1282c19:dd:d9:dd:c25:dd0:ec00:e34e
802c19:dd:d9:dd:c25:dd0:ec00:e34f/1282c19:dd:d9:dd:c25:dd0:ec00:e34f
812c19:dd:d9:dd:c25:dd0:ec00:e350/1282c19:dd:d9:dd:c25:dd0:ec00:e350
822c19:dd:d9:dd:c25:dd0:ec00:e351/1282c19:dd:d9:dd:c25:dd0:ec00:e351
832c19:dd:d9:dd:c25:dd0:ec00:e352/1282c19:dd:d9:dd:c25:dd0:ec00:e352
842c19:dd:d9:dd:c25:dd0:ec00:e353/1282c19:dd:d9:dd:c25:dd0:ec00:e353
852c19:dd:d9:dd:c25:dd0:ec00:e354/1282c19:dd:d9:dd:c25:dd0:ec00:e354
862c19:dd:d9:dd:c25:dd0:ec00:e355/1282c19:dd:d9:dd:c25:dd0:ec00:e355
872c19:dd:d9:dd:c25:dd0:ec00:e356/1282c19:dd:d9:dd:c25:dd0:ec00:e356
882c19:dd:d9:dd:c25:dd0:ec00:e357/1282c19:dd:d9:dd:c25:dd0:ec00:e357
892c19:dd:d9:dd:c25:dd0:ec00:e358/1282c19:dd:d9:dd:c25:dd0:ec00:e358
902c19:dd:d9:dd:c25:dd0:ec00:e359/1282c19:dd:d9:dd:c25:dd0:ec00:e359
912c19:dd:d9:dd:c25:dd0:ec00:e35a/1282c19:dd:d9:dd:c25:dd0:ec00:e35a
922c19:dd:d9:dd:c25:dd0:ec00:e35b/1282c19:dd:d9:dd:c25:dd0:ec00:e35b
932c19:dd:d9:dd:c25:dd0:ec00:e35c/1282c19:dd:d9:dd:c25:dd0:ec00:e35c
942c19:dd:d9:dd:c25:dd0:ec00:e35d/1282c19:dd:d9:dd:c25:dd0:ec00:e35d
952c19:dd:d9:dd:c25:dd0:ec00:e35e/1282c19:dd:d9:dd:c25:dd0:ec00:e35e
962c19:dd:d9:dd:c25:dd0:ec00:e35f/1282c19:dd:d9:dd:c25:dd0:ec00:e35f
972c19:dd:d9:dd:c25:dd0:ec00:e360/1282c19:dd:d9:dd:c25:dd0:ec00:e360
982c19:dd:d9:dd:c25:dd0:ec00:e361/1282c19:dd:d9:dd:c25:dd0:ec00:e361
992c19:dd:d9:dd:c25:dd0:ec00:e362/1282c19:dd:d9:dd:c25:dd0:ec00:e362
1002c19:dd:d9:dd:c25:dd0:ec00:e363/1282c19:dd:d9:dd:c25:dd0:ec00:e363
1012c19:dd:d9:dd:c25:dd0:ec00:e364/1282c19:dd:d9:dd:c25:dd0:ec00:e364
1022c19:dd:d9:dd:c25:dd0:ec00:e365/1282c19:dd:d9:dd:c25:dd0:ec00:e365
1032c19:dd:d9:dd:c25:dd0:ec00:e366/1282c19:dd:d9:dd:c25:dd0:ec00:e366
1042c19:dd:d9:dd:c25:dd0:ec00:e367/1282c19:dd:d9:dd:c25:dd0:ec00:e367
1052c19:dd:d9:dd:c25:dd0:ec00:e368/1282c19:dd:d9:dd:c25:dd0:ec00:e368
1062c19:dd:d9:dd:c25:dd0:ec00:e369/1282c19:dd:d9:dd:c25:dd0:ec00:e369
1072c19:dd:d9:dd:c25:dd0:ec00:e36a/1282c19:dd:d9:dd:c25:dd0:ec00:e36a
1082c19:dd:d9:dd:c25:dd0:ec00:e36b/1282c19:dd:d9:dd:c25:dd0:ec00:e36b
1092c19:dd:d9:dd:c25:dd0:ec00:e36c/1282c19:dd:d9:dd:c25:dd0:ec00:e36c
1102c19:dd:d9:dd:c25:dd0:ec00:e36d/1282c19:dd:d9:dd:c25:dd0:ec00:e36d
1112c19:dd:d9:dd:c25:dd0:ec00:e36e/1282c19:dd:d9:dd:c25:dd0:ec00:e36e
1122c19:dd:d9:dd:c25:dd0:ec00:e36f/1282c19:dd:d9:dd:c25:dd0:ec00:e36f
1132c19:dd:d9:dd:c25:dd0:ec00:e370/1282c19:dd:d9:dd:c25:dd0:ec00:e370
1142c19:dd:d9:dd:c25:dd0:ec00:e371/1282c19:dd:d9:dd:c25:dd0:ec00:e371
1152c19:dd:d9:dd:c25:dd0:ec00:e372/1282c19:dd:d9:dd:c25:dd0:ec00:e372
1162c19:dd:d9:dd:c25:dd0:ec00:e373/1282c19:dd:d9:dd:c25:dd0:ec00:e373
1172c19:dd:d9:dd:c25:dd0:ec00:e374/1282c19:dd:d9:dd:c25:dd0:ec00:e374
1182c19:dd:d9:dd:c25:dd0:ec00:e375/1282c19:dd:d9:dd:c25:dd0:ec00:e375
1192c19:dd:d9:dd:c25:dd0:ec00:e376/1282c19:dd:d9:dd:c25:dd0:ec00:e376
1202c19:dd:d9:dd:c25:dd0:ec00:e377/1282c19:dd:d9:dd:c25:dd0:ec00:e377
1212c19:dd:d9:dd:c25:dd0:ec00:e378/1282c19:dd:d9:dd:c25:dd0:ec00:e378
1222c19:dd:d9:dd:c25:dd0:ec00:e379/1282c19:dd:d9:dd:c25:dd0:ec00:e379
1232c19:dd:d9:dd:c25:dd0:ec00:e37a/1282c19:dd:d9:dd:c25:dd0:ec00:e37a
1242c19:dd:d9:dd:c25:dd0:ec00:e37b/1282c19:dd:d9:dd:c25:dd0:ec00:e37b
1252c19:dd:d9:dd:c25:dd0:ec00:e37c/1282c19:dd:d9:dd:c25:dd0:ec00:e37c
1262c19:dd:d9:dd:c25:dd0:ec00:e37d/1282c19:dd:d9:dd:c25:dd0:ec00:e37d
1272c19:dd:d9:dd:c25:dd0:ec00:e37e/1282c19:dd:d9:dd:c25:dd0:ec00:e37e
1282c19:dd:d9:dd:c25:dd0:ec00:e37f/1282c19:dd:d9:dd:c25:dd0:ec00:e37f
1292c19:dd:d9:dd:c25:dd0:ec00:e380/1282c19:dd:d9:dd:c25:dd0:ec00:e380
1302c19:dd:d9:dd:c25:dd0:ec00:e381/1282c19:dd:d9:dd:c25:dd0:ec00:e381
1312c19:dd:d9:dd:c25:dd0:ec00:e382/1282c19:dd:d9:dd:c25:dd0:ec00:e382
1322c19:dd:d9:dd:c25:dd0:ec00:e383/1282c19:dd:d9:dd:c25:dd0:ec00:e383
1332c19:dd:d9:dd:c25:dd0:ec00:e384/1282c19:dd:d9:dd:c25:dd0:ec00:e384
1342c19:dd:d9:dd:c25:dd0:ec00:e385/1282c19:dd:d9:dd:c25:dd0:ec00:e385
1352c19:dd:d9:dd:c25:dd0:ec00:e386/1282c19:dd:d9:dd:c25:dd0:ec00:e386
1362c19:dd:d9:dd:c25:dd0:ec00:e387/1282c19:dd:d9:dd:c25:dd0:ec00:e387
1372c19:dd:d9:dd:c25:dd0:ec00:e388/1282c19:dd:d9:dd:c25:dd0:ec00:e388
1382c19:dd:d9:dd:c25:dd0:ec00:e389/1282c19:dd:d9:dd:c25:dd0:ec00:e389
1392c19:dd:d9:dd:c25:dd0:ec00:e38a/1282c19:dd:d9:dd:c25:dd0:ec00:e38a
1402c19:dd:d9:dd:c25:dd0:ec00:e38b/1282c19:dd:d9:dd:c25:dd0:ec00:e38b
1412c19:dd:d9:dd:c25:dd0:ec00:e38c/1282c19:dd:d9:dd:c25:dd0:ec00:e38c
1422c19:dd:d9:dd:c25:dd0:ec00:e38d/1282c19:dd:d9:dd:c25:dd0:ec00:e38d
1432c19:dd:d9:dd:c25:dd0:ec00:e38e/1282c19:dd:d9:dd:c25:dd0:ec00:e38e
1442c19:dd:d9:dd:c25:dd0:ec00:e38f/1282c19:dd:d9:dd:c25:dd0:ec00:e38f
1452c19:dd:d9:dd:c25:dd0:ec00:e390/1282c19:dd:d9:dd:c25:dd0:ec00:e390
1462c19:dd:d9:dd:c25:dd0:ec00:e391/1282c19:dd:d9:dd:c25:dd0:ec00:e391
1472c19:dd:d9:dd:c25:dd0:ec00:e392/1282c19:dd:d9:dd:c25:dd0:ec00:e392
1482c19:dd:d9:dd:c25:dd0:ec00:e393/1282c19:dd:d9:dd:c25:dd0:ec00:e393
1492c19:dd:d9:dd:c25:dd0:ec00:e394/1282c19:dd:d9:dd:c25:dd0:ec00:e394
1502c19:dd:d9:dd:c25:dd0:ec00:e395/1282c19:dd:d9:dd:c25:dd0:ec00:e395
1512c19:dd:d9:dd:c25:dd0:ec00:e396/1282c19:dd:d9:dd:c25:dd0:ec00:e396
1522c19:dd:d9:dd:c25:dd0:ec00:e397/1282c19:dd:d9:dd:c25:dd0:ec00:e397
1532c19:dd:d9:dd:c25:dd0:ec00:e398/1282c19:dd:d9:dd:c25:dd0:ec00:e398
1542c19:dd:d9:dd:c25:dd0:ec00:e399/1282c19:dd:d9:dd:c25:dd0:ec00:e399
1552c19:dd:d9:dd:c25:dd0:ec00:e39a/1282c19:dd:d9:dd:c25:dd0:ec00:e39a
1562c19:dd:d9:dd:c25:dd0:ec00:e39b/1282c19:dd:d9:dd:c25:dd0:ec00:e39b
1572c19:dd:d9:dd:c25:dd0:ec00:e39c/1282c19:dd:d9:dd:c25:dd0:ec00:e39c
1582c19:dd:d9:dd:c25:dd0:ec00:e39d/1282c19:dd:d9:dd:c25:dd0:ec00:e39d
1592c19:dd:d9:dd:c25:dd0:ec00:e39e/1282c19:dd:d9:dd:c25:dd0:ec00:e39e
1602c19:dd:d9:dd:c25:dd0:ec00:e39f/1282c19:dd:d9:dd:c25:dd0:ec00:e39f
1612c19:dd:d9:dd:c25:dd0:ec00:e3a0/1282c19:dd:d9:dd:c25:dd0:ec00:e3a0
1622c19:dd:d9:dd:c25:dd0:ec00:e3a1/1282c19:dd:d9:dd:c25:dd0:ec00:e3a1
1632c19:dd:d9:dd:c25:dd0:ec00:e3a2/1282c19:dd:d9:dd:c25:dd0:ec00:e3a2
1642c19:dd:d9:dd:c25:dd0:ec00:e3a3/1282c19:dd:d9:dd:c25:dd0:ec00:e3a3
1652c19:dd:d9:dd:c25:dd0:ec00:e3a4/1282c19:dd:d9:dd:c25:dd0:ec00:e3a4
1662c19:dd:d9:dd:c25:dd0:ec00:e3a5/1282c19:dd:d9:dd:c25:dd0:ec00:e3a5
1672c19:dd:d9:dd:c25:dd0:ec00:e3a6/1282c19:dd:d9:dd:c25:dd0:ec00:e3a6
1682c19:dd:d9:dd:c25:dd0:ec00:e3a7/1282c19:dd:d9:dd:c25:dd0:ec00:e3a7
1692c19:dd:d9:dd:c25:dd0:ec00:e3a8/1282c19:dd:d9:dd:c25:dd0:ec00:e3a8
1702c19:dd:d9:dd:c25:dd0:ec00:e3a9/1282c19:dd:d9:dd:c25:dd0:ec00:e3a9
1712c19:dd:d9:dd:c25:dd0:ec00:e3aa/1282c19:dd:d9:dd:c25:dd0:ec00:e3aa
1722c19:dd:d9:dd:c25:dd0:ec00:e3ab/1282c19:dd:d9:dd:c25:dd0:ec00:e3ab
1732c19:dd:d9:dd:c25:dd0:ec00:e3ac/1282c19:dd:d9:dd:c25:dd0:ec00:e3ac
1742c19:dd:d9:dd:c25:dd0:ec00:e3ad/1282c19:dd:d9:dd:c25:dd0:ec00:e3ad
1752c19:dd:d9:dd:c25:dd0:ec00:e3ae/1282c19:dd:d9:dd:c25:dd0:ec00:e3ae
1762c19:dd:d9:dd:c25:dd0:ec00:e3af/1282c19:dd:d9:dd:c25:dd0:ec00:e3af
1772c19:dd:d9:dd:c25:dd0:ec00:e3b0/1282c19:dd:d9:dd:c25:dd0:ec00:e3b0
1782c19:dd:d9:dd:c25:dd0:ec00:e3b1/1282c19:dd:d9:dd:c25:dd0:ec00:e3b1
1792c19:dd:d9:dd:c25:dd0:ec00:e3b2/1282c19:dd:d9:dd:c25:dd0:ec00:e3b2
1802c19:dd:d9:dd:c25:dd0:ec00:e3b3/1282c19:dd:d9:dd:c25:dd0:ec00:e3b3
1812c19:dd:d9:dd:c25:dd0:ec00:e3b4/1282c19:dd:d9:dd:c25:dd0:ec00:e3b4
1822c19:dd:d9:dd:c25:dd0:ec00:e3b5/1282c19:dd:d9:dd:c25:dd0:ec00:e3b5
1832c19:dd:d9:dd:c25:dd0:ec00:e3b6/1282c19:dd:d9:dd:c25:dd0:ec00:e3b6
1842c19:dd:d9:dd:c25:dd0:ec00:e3b7/1282c19:dd:d9:dd:c25:dd0:ec00:e3b7
1852c19:dd:d9:dd:c25:dd0:ec00:e3b8/1282c19:dd:d9:dd:c25:dd0:ec00:e3b8
1862c19:dd:d9:dd:c25:dd0:ec00:e3b9/1282c19:dd:d9:dd:c25:dd0:ec00:e3b9
1872c19:dd:d9:dd:c25:dd0:ec00:e3ba/1282c19:dd:d9:dd:c25:dd0:ec00:e3ba
1882c19:dd:d9:dd:c25:dd0:ec00:e3bb/1282c19:dd:d9:dd:c25:dd0:ec00:e3bb
1892c19:dd:d9:dd:c25:dd0:ec00:e3bc/1282c19:dd:d9:dd:c25:dd0:ec00:e3bc
1902c19:dd:d9:dd:c25:dd0:ec00:e3bd/1282c19:dd:d9:dd:c25:dd0:ec00:e3bd
1912c19:dd:d9:dd:c25:dd0:ec00:e3be/1282c19:dd:d9:dd:c25:dd0:ec00:e3be
1922c19:dd:d9:dd:c25:dd0:ec00:e3bf/1282c19:dd:d9:dd:c25:dd0:ec00:e3bf
1932c19:dd:d9:dd:c25:dd0:ec00:e3c0/1282c19:dd:d9:dd:c25:dd0:ec00:e3c0
1942c19:dd:d9:dd:c25:dd0:ec00:e3c1/1282c19:dd:d9:dd:c25:dd0:ec00:e3c1
1952c19:dd:d9:dd:c25:dd0:ec00:e3c2/1282c19:dd:d9:dd:c25:dd0:ec00:e3c2
1962c19:dd:d9:dd:c25:dd0:ec00:e3c3/1282c19:dd:d9:dd:c25:dd0:ec00:e3c3
1972c19:dd:d9:dd:c25:dd0:ec00:e3c4/1282c19:dd:d9:dd:c25:dd0:ec00:e3c4
1982c19:dd:d9:dd:c25:dd0:ec00:e3c5/1282c19:dd:d9:dd:c25:dd0:ec00:e3c5
1992c19:dd:d9:dd:c25:dd0:ec00:e3c6/1282c19:dd:d9:dd:c25:dd0:ec00:e3c6
2002c19:dd:d9:dd:c25:dd0:ec00:e3c7/1282c19:dd:d9:dd:c25:dd0:ec00:e3c7
2012c19:dd:d9:dd:c25:dd0:ec00:e3c8/1282c19:dd:d9:dd:c25:dd0:ec00:e3c8
2022c19:dd:d9:dd:c25:dd0:ec00:e3c9/1282c19:dd:d9:dd:c25:dd0:ec00:e3c9
2032c19:dd:d9:dd:c25:dd0:ec00:e3ca/1282c19:dd:d9:dd:c25:dd0:ec00:e3ca
2042c19:dd:d9:dd:c25:dd0:ec00:e3cb/1282c19:dd:d9:dd:c25:dd0:ec00:e3cb
2052c19:dd:d9:dd:c25:dd0:ec00:e3cc/1282c19:dd:d9:dd:c25:dd0:ec00:e3cc
2062c19:dd:d9:dd:c25:dd0:ec00:e3cd/1282c19:dd:d9:dd:c25:dd0:ec00:e3cd
2072c19:dd:d9:dd:c25:dd0:ec00:e3ce/1282c19:dd:d9:dd:c25:dd0:ec00:e3ce
2082c19:dd:d9:dd:c25:dd0:ec00:e3cf/1282c19:dd:d9:dd:c25:dd0:ec00:e3cf
2092c19:dd:d9:dd:c25:dd0:ec00:e3d0/1282c19:dd:d9:dd:c25:dd0:ec00:e3d0
2102c19:dd:d9:dd:c25:dd0:ec00:e3d1/1282c19:dd:d9:dd:c25:dd0:ec00:e3d1
2112c19:dd:d9:dd:c25:dd0:ec00:e3d2/1282c19:dd:d9:dd:c25:dd0:ec00:e3d2
2122c19:dd:d9:dd:c25:dd0:ec00:e3d3/1282c19:dd:d9:dd:c25:dd0:ec00:e3d3
2132c19:dd:d9:dd:c25:dd0:ec00:e3d4/1282c19:dd:d9:dd:c25:dd0:ec00:e3d4
2142c19:dd:d9:dd:c25:dd0:ec00:e3d5/1282c19:dd:d9:dd:c25:dd0:ec00:e3d5
2152c19:dd:d9:dd:c25:dd0:ec00:e3d6/1282c19:dd:d9:dd:c25:dd0:ec00:e3d6
2162c19:dd:d9:dd:c25:dd0:ec00:e3d7/1282c19:dd:d9:dd:c25:dd0:ec00:e3d7
2172c19:dd:d9:dd:c25:dd0:ec00:e3d8/1282c19:dd:d9:dd:c25:dd0:ec00:e3d8
2182c19:dd:d9:dd:c25:dd0:ec00:e3d9/1282c19:dd:d9:dd:c25:dd0:ec00:e3d9
2192c19:dd:d9:dd:c25:dd0:ec00:e3da/1282c19:dd:d9:dd:c25:dd0:ec00:e3da
2202c19:dd:d9:dd:c25:dd0:ec00:e3db/1282c19:dd:d9:dd:c25:dd0:ec00:e3db
2212c19:dd:d9:dd:c25:dd0:ec00:e3dc/1282c19:dd:d9:dd:c25:dd0:ec00:e3dc
2222c19:dd:d9:dd:c25:dd0:ec00:e3dd/1282c19:dd:d9:dd:c25:dd0:ec00:e3dd
2232c19:dd:d9:dd:c25:dd0:ec00:e3de/1282c19:dd:d9:dd:c25:dd0:ec00:e3de
2242c19:dd:d9:dd:c25:dd0:ec00:e3df/1282c19:dd:d9:dd:c25:dd0:ec00:e3df
2252c19:dd:d9:dd:c25:dd0:ec00:e3e0/1282c19:dd:d9:dd:c25:dd0:ec00:e3e0
2262c19:dd:d9:dd:c25:dd0:ec00:e3e1/1282c19:dd:d9:dd:c25:dd0:ec00:e3e1
2272c19:dd:d9:dd:c25:dd0:ec00:e3e2/1282c19:dd:d9:dd:c25:dd0:ec00:e3e2
2282c19:dd:d9:dd:c25:dd0:ec00:e3e3/1282c19:dd:d9:dd:c25:dd0:ec00:e3e3
2292c19:dd:d9:dd:c25:dd0:ec00:e3e4/1282c19:dd:d9:dd:c25:dd0:ec00:e3e4
2302c19:dd:d9:dd:c25:dd0:ec00:e3e5/1282c19:dd:d9:dd:c25:dd0:ec00:e3e5
2312c19:dd:d9:dd:c25:dd0:ec00:e3e6/1282c19:dd:d9:dd:c25:dd0:ec00:e3e6
2322c19:dd:d9:dd:c25:dd0:ec00:e3e7/1282c19:dd:d9:dd:c25:dd0:ec00:e3e7
2332c19:dd:d9:dd:c25:dd0:ec00:e3e8/1282c19:dd:d9:dd:c25:dd0:ec00:e3e8
2342c19:dd:d9:dd:c25:dd0:ec00:e3e9/1282c19:dd:d9:dd:c25:dd0:ec00:e3e9
2352c19:dd:d9:dd:c25:dd0:ec00:e3ea/1282c19:dd:d9:dd:c25:dd0:ec00:e3ea
2362c19:dd:d9:dd:c25:dd0:ec00:e3eb/1282c19:dd:d9:dd:c25:dd0:ec00:e3eb
2372c19:dd:d9:dd:c25:dd0:ec00:e3ec/1282c19:dd:d9:dd:c25:dd0:ec00:e3ec
2382c19:dd:d9:dd:c25:dd0:ec00:e3ed/1282c19:dd:d9:dd:c25:dd0:ec00:e3ed
2392c19:dd:d9:dd:c25:dd0:ec00:e3ee/1282c19:dd:d9:dd:c25:dd0:ec00:e3ee
2402c19:dd:d9:dd:c25:dd0:ec00:e3ef/1282c19:dd:d9:dd:c25:dd0:ec00:e3ef
2412c19:dd:d9:dd:c25:dd0:ec00:e3f0/1282c19:dd:d9:dd:c25:dd0:ec00:e3f0
2422c19:dd:d9:dd:c25:dd0:ec00:e3f1/1282c19:dd:d9:dd:c25:dd0:ec00:e3f1
2432c19:dd:d9:dd:c25:dd0:ec00:e3f2/1282c19:dd:d9:dd:c25:dd0:ec00:e3f2
2442c19:dd:d9:dd:c25:dd0:ec00:e3f3/1282c19:dd:d9:dd:c25:dd0:ec00:e3f3
2452c19:dd:d9:dd:c25:dd0:ec00:e3f4/1282c19:dd:d9:dd:c25:dd0:ec00:e3f4
2462c19:dd:d9:dd:c25:dd0:ec00:e3f5/1282c19:dd:d9:dd:c25:dd0:ec00:e3f5
2472c19:dd:d9:dd:c25:dd0:ec00:e3f6/1282c19:dd:d9:dd:c25:dd0:ec00:e3f6
2482c19:dd:d9:dd:c25:dd0:ec00:e3f7/1282c19:dd:d9:dd:c25:dd0:ec00:e3f7
2492c19:dd:d9:dd:c25:dd0:ec00:e3f8/1282c19:dd:d9:dd:c25:dd0:ec00:e3f8
2502c19:dd:d9:dd:c25:dd0:ec00:e3f9/1282c19:dd:d9:dd:c25:dd0:ec00:e3f9
2512c19:dd:d9:dd:c25:dd0:ec00:e3fa/1282c19:dd:d9:dd:c25:dd0:ec00:e3fa
2522c19:dd:d9:dd:c25:dd0:ec00:e3fb/1282c19:dd:d9:dd:c25:dd0:ec00:e3fb
2532c19:dd:d9:dd:c25:dd0:ec00:e3fc/1282c19:dd:d9:dd:c25:dd0:ec00:e3fc
2542c19:dd:d9:dd:c25:dd0:ec00:e3fd/1282c19:dd:d9:dd:c25:dd0:ec00:e3fd
2552c19:dd:d9:dd:c25:dd0:ec00:e3fe/1282c19:dd:d9:dd:c25:dd0:ec00:e3fe
2562c19:dd:d9:dd:c25:dd0:ec00:e3ff/1282c19:dd:d9:dd:c25:dd0:ec00:e3ff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses